adoberepo

deprecated
Module for installing the Adobe YUM repository

Ben S

juniorsysadmin

10,788 downloads

5,879 latest version

4.3 quality score

Version information

  • 0.1.0 (latest)
  • 0.0.5
  • 0.0.4
  • 0.0.3
  • 0.0.2
released Dec 12th 2016
This version is compatible with:
  • Puppet Enterprise 2017.2.x, 2017.1.x, 2016.5.x, 2016.4.x
  • Puppet >=3.8.7 < 5.0.0
  • Fedora
This module has been deprecated by its author since Feb 11th 2021.

The reason given was: No longer maintained

The author has suggested juniorsysadmin-adoberepo as its replacement.

Start using this module

Tags: adobe, flash

Documentation

juniorsysadmin/adoberepo — version 0.1.0 Dec 12th 2016

adoberepo

Table of Contents

  1. Overview
  2. Usage
  3. Limitations
  4. Development

Overview

This module installs and enables the Adobe YUM repository. When run on a non-RedHat osfamily it exits with no action performed.

Build
Status

Usage

include  '::adoberepo'

or to use a local mirror:

class { '::adoberepo':
  adoberepo_baseurl => 'http://localmirror.server.domain/',
}

Parameters

The following parameters are available in the adoberepo module:

adoberepo_baseurl

Defaults to http://linuxdownload.adobe.com/linux/${::architecture}/.

adoberepo_descr

Defaults to 'Adobe YUM repository'.

adoberepo_enabled

Defaults to 1.

adoberepo_gpgcheck

Defaults to 1

adoberepo_name

Defaults to adobe-linux-${::architecture}

adoberepo_proxy

Defaults to absent. (Uses the yum.conf value if it exists)

Limitations

This module has received limited testing on:

  • CentOS/RHEL 6/7
  • Fedora 21

against Puppet 2.7.x and 3.x

Development

Patches are welcome.